Subject: Re: 23.1.50; Weird display when wrap-prefix contains tabs

From: Matthew Dempsky <[email-masked]>
Date: Sat, 5 Dec 2009 16:36:19 -0800

On Sat, Dec 5, 2009 at 1:14 PM, Chong Yidong <[email-masked]> wrote:
> The "+ it->continuation_lines_width" was added for a reason.

I tracked back through the history of the code, and that part has been
there since the code was introduced as far as I can tell.

> IIRC, it is so that continued lines containing tabs are displayed correctly.

Can you define "correctly"?  When I remove the addition, it displays
'correctly' from what I expect: a tab always indents the text to the
next visual column that's a multiple of 8.

The current behavior ensures that the same tab always expands to the
same number of space characters regardless of where the line wraps,
but I don't see any reason why this behavior is desirable in the
presence of `word-wrap'.